/* nXml - Copyright (C) 2005 bakunin - Andrea Marchesini 
 *                                <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#else
# error Use configure; make; make install
#endif

#include "nxml.h"
#include "nxml_internal.h"

char *
nxml_strerror (nxml_error_t err)
{
  switch (err)
    {
    case NXML_OK:
      return "Success";

    case NXML_ERR_PARSER:
      return "Parser error";

    case NXML_ERR_DATA:
      return "No correct paramenter in the function";

    default:
      return strerror (errno);
    }
}

nxml_error_t
nxml_line_error (nxml_t * nxml, int *line)
{
  if (!nxml || !line)
    return NXML_ERR_DATA;

  *line = nxml->priv.line;

  return NXML_OK;
}

/* EOF */
